package com.qmth.distributed.print.business.bean.params.analyze;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 分析试卷结构参数
 * @Author: CaoZixuan
 * @Date: 2022-05-30
 */
public class GradePaperStructParam {

    @ApiModelProperty(value = "试卷编号")
    @NotNull(message = "缺少试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    @NotNull(message = "缺少试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    @NotNull(message = "缺少试卷名称")
    private String paperName;

    @ApiModelProperty(value = "分析试卷数据集")
    @NotNull(message = "请填写试卷结构")
    private List<GradePaperStructDatasource> datasource;

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public List<GradePaperStructDatasource> getDatasource() {
        return datasource;
    }

    public void setDatasource(List<GradePaperStructDatasource> datasource) {
        this.datasource = datasource;
    }
}
